%define url_ver %(echo %{version}|cut -d. -f1,2)


Name:       mate-applets
Version:    1.28.0
Release:    %mkrel 1
Summary:    MATE Desktop panel applets
Group:      Graphical desktop/MATE
License:    GPLv2+ and LGPLv2+
URL:        http://mate-desktop.org
Source0:    http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: cpupower-devel
BuildRequires: pkgconfig(libgtop-2.0) >= 2.12.0
BuildRequires: pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires: pkgconfig(mate-settings-daemon) >= 1.22.0
BuildRequires: pkgconfig(dbus-glib-1) >= 0.74
BuildRequires: pkgconfig(dbus-1) >= 1.1.2
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gio-2.0) >= 2.15.3
BuildRequires: pkgconfig(gobject-2.0) >= 2.36.0
BuildRequires: pkgconfig(libnotify) >= 0.7.0
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= 1.22.0
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.22.0
BuildRequires: pkgconfig(mateweather) >= 1.22.0
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires: pkgconfig(upower-glib) >= 0.9.4
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(pygobject-3.0)
BuildRequires: libiw-devel
BuildRequires: pkgconfig(libxklavier)
BuildRequires: itstool
BuildRequires: pkgconfig(libnm)
BuildRequires: yelp-tools
BuildRequires: pkgconfig(gucharmap-2.90) >= 3.0.0
BuildRequires: pkgconfig(libwnck-3.0) >= 3.0.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(gtksourceview-3.0)

%description
MATE Desktop panel applets.

%package doc
Summary:  Documentation support for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package provides help files for %{name}.

%prep
%setup -qn %{name}-%{version}
%autopatch -p1

%build

%configure2_5x \
      --disable-schemas-compile \
      --disable-static \
      --enable-polkit \
      --enable-ipv6 \
      --enable-stickynotes \
      --enable-frequency-selector=yes \
      --enable-suid=yes \
      --libexecdir=%{_libexecdir}/mate-applets

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make_build

%install
rm -rf %buildroot
%make_install


%files
%{_sysconfdir}
%{_bindir}
%{_datadir}
%{_libexecdir}
%exclude %{_datadir}/help

%files doc
%{_datadir}/help

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Thu Feb 22 2024 tex - 1.28.0-1pclos2024
- new version

* Sun Nov 26 2023 tex - 1.26.1-2pclos2023
- rebuild against updates

* Wed Dec 07 2022 tex - 1.26.1-1pclos2022
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Wed Feb 26 2020 tex - 1.24.0-2pclos2020
- back down to 1.22.2 for now and test

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
